Package org.astrogrid.samp.xmlrpc

# Interface SampXmlRpcServer

All Known Implementing Classes:
  `ApacheServer`, `InternalServer`, `RpcLoggingInternalServer`, `XmlLoggingInternalServer`

public interface SampXmlRpcServer
Interface for a server which can respond to XML-RPC calls for SAMP. The method parameters and return values must be of SAMP-compatible types, that is only Strings, Lists, and String-keyed Maps are allowed in the data structures.

Since:
  22 Aug 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`addHandler(SampXmlRpcHandler handler)`
Adds a handler which can service certain XML-RPC methods.
`URL`
`getEndpoint()`
Returns the server's endpoint.
`void`
`removeHandler(SampXmlRpcHandler handler)`
Removes a previously-added handler.

## Method Details

### getEndpoint

URL getEndpoint()
Returns the server's endpoint.

Returns:
  URL to which XML-RPC requests are POSTed

### addHandler

void addHandler(SampXmlRpcHandler handler)
Adds a handler which can service certain XML-RPC methods.

Parameters:
  `handler` - handler to add

### removeHandler

void removeHandler(SampXmlRpcHandler handler)
Removes a previously-added handler.

Parameters:
  `handler` - handler to remove